# General Translation Platform: Trova i file orfani
URL: https://generaltranslation.com/it/docs/platform/openapi/reference/files/orphaned-files.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: Restituisce i file su un branch che non sono presenti nell'elenco degli ID file fornito. Riferimento API per Trova i file orfani.

{/* Questo file è stato generato da Fumadocs. Non modificare questo file direttamente. Eventuali modifiche devono essere effettuate eseguendo nuovamente il comando di generazione. */}

## Endpoint

`POST https://api.gtx.dev/v2/project/files/orphaned`

**Operation ID:** `getOrphanedFiles`

**Tags:** `Files`

**Summary:** Find orphaned files

Return files on a branch that are not present in the provided file ID list.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.
- `gt-project-id` (header, string, optional): Target project ID when no project ID is present in the path. Project API keys default to their bound project. If supplied, the header must match both the path target and the key’s bound project.

### Request body (required)

Body (`application/json`, object):
- `branchId` (string, required)
- `fileIds` (string[]) Default: `[]`.

### Responses

**200**: Files present on the branch but absent from the request
Response body (`application/json`, object):
- `orphanedFiles` (object[], required)
  - `fileId` (string, required)
  - `versionId` (string, required)
  - `fileName` (string, required)

**400**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**404**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**413**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
